# kccompare.h File Reference

comparator functions More...

`#include <kccommon.h>`
`#include <kcutil.h>`

## Classes

class | kyotocabinet::Comparator
| Interfrace of comparator of record keys. More...
class | kyotocabinet::LexicalComparator
| Comparator in the lexical order. More...
class | kyotocabinet::DecimalComparator
| Comparator in the decimal order. More...

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Variables

LexicalComparator | kyotocabinet::LEXICALCOMP
| Prepared variable of the comparator in the lexical order.
DecimalComparator | kyotocabinet::DECIMALCOMP
| Prepared variable of the comparator in the decimal order.

## Detailed Description

comparator functions